Export the given elements as an ArchiMate XML file.
Export the given elements as an ArchiMate XML file. Exports the architecture elements with the given IDs and their relationships as an ArchiMate-XML file. An empty list exports the whole warehouse.
Security: Manager or Designer of the process space.
POST
/v1/warehouses/{warehouseId}/archimate/exportAuthorization
AuthorizationBearer token (JWT) · headerrequiredBpmLicenseAPI key · headerrequiredPath parameters
warehouseIdstringrequiredID of warehouse
Query parameters
xmlOnlybooleanif true, yields the plain ArchiMate document instead of the ZIP
Request body
requiredapplication/jsonArchitecture element IDs to export, empty for all
Array of
stringstringResponses
200
The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true
403
Forbidden: insufficient permissions
string404
Warehouse not found
string